!F77-INC*******************************************************
c
C!Description: Include file for initializing thresholds used in
c              the nighttime land processing path.
c
c!Revision History:
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-06.
c
c!Design Notes:
c     The four parameters represent:
c        1 - the low clear confidence threshold (0 confidence)
c        2 - the actual straight threshold value (50% confidence)
c            (pass/no pass)
c        3 - the high clear confidence threshold (100% confidence)
c        4 - the s curve power used to interpolate confidences
c
c!END******************************************************

c ... Nighttime land thresholds

      real nl4_12hi(4)
      real nlco2(4)   
      real nlh20(4)   
      real nl11_12hi(4)
      real nl7_11s(4)
      real nl_11_4l(4)
      real nl_11_4h(4)
      real nl_11_4m(4)
      real bt_diff_bounds(2)

      common /niteland_thresholds/ nl4_12hi,nlco2,nlh20,
     +   nl11_12hi,nl_11_4l,nl_11_4h,bt_diff_bounds,nl7_11s,
     +   nl_11_4m
