c!F77-INC*******************************************************
c
C!Description: Include file for initializing thresholds used in
c              the daytime polar land processing path.
c
c!Revision History:
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-06.
c
c!Design Notes:
c     The four parameters represent:
c        1 - the low clear confidence threshold (0 confidence)
c        2 - the actual straight threshold value (50% confidence)
c            (pass/no pass)
c        3 - the high clear confidence threshold (100% confidence)
c        4 - the s curve power used to interpolate confidences
c
c!END******************************************************

c ... Daytime polar land thresholds

      real pdlvrat(4)   
      real pdlref1(4)   
      real pdlref3(4)   
      real pdl11_4lo(4) 
      real pdl11_12hi(1)
      real pdlh20(4)    
      real pdltci(2)

      common /dpland_thresholds/ pdlvrat,pdlref1,pdlref3,pdl11_4lo,
     +   pdl11_12hi,pdlh20,pdltci
