c!F77-INC*******************************************************
c
C!Description: Include file for initializing thresholds used in
c              the daytime polar snow processing path.
c
c!Revision History:
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-06.
c
c!Design Notes:
c     The four parameters represent:
c        1 - the low clear confidence threshold (0 confidence)
c        2 - the actual straight threshold value (50% confidence)
c            (pass/no pass)
c        3 - the high clear confidence threshold (100% confidence)
c        4 - the s curve power used to interpolate confidences
c
c!END******************************************************

c ... Daytime polar snow thresholds

      real dpsref1(4)
      real dpsref3(4)
      real dps4_11(4)
      real dps4_11hel(4)
      real dpsh20(4) 
      real dpstci(2)

      common /dpsnow_thresholds/ dpsref1,dpsref3,dps4_11,
     +   dpsh20,dps4_11hel,dpstci
