c!F77-INC*******************************************************
c
C!Description: Include file for initializing thresholds used in
c              the nighttime polar snow processing path.
c
c!Revision History:
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-06.
c
c!Design Notes:
c     The four parameters represent:
c        1 - the low clear confidence threshold (0 confidence)
c        2 - the actual straight threshold value (50% confidence)
c            (pass/no pass)
c        3 - the high clear confidence threshold (100% confidence)
c        4 - the s curve power used to interpolate confidences
c
c!END******************************************************

c     Nighttime polar snow thresholds

      real pns4_12hi(4)
      real pnsh20(4)   
      real pn65_11(1)
      real pn13_11(1)
      real pn_11_4l(4)
      real pn_11_4h(4)
      real bt_11_bounds(2)
      real pn_11_4m(4)

      common /pnsnow_thresholds/ pns4_12hi,pnsh20,
     +   pn65_11,pn13_11,pn_11_4l,pn_11_4h,pn_11_4m,bt_11_bounds
