c!F77-INC*******************************************************
c
C!Description: Include file for initializing thresholds used in
c              the daytime ocean processing path.
c
c!Revision History:
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-06.
c
c!Design Notes:
c     The four parameters represent:
c        1 - the low clear confidence threshold (0 confidence)
c        2 - the actual straight threshold value (50% confidence)
c            (pass/no pass)
c        3 - the high clear confidence threshold (100% confidence)
c        4 - the s curve power used to interpolate confidences
c
c!END******************************************************

c     Daytime ocean thresholds

      real dobt11(4)   
      real do11_12hi(1)
      real dovrathi(4) 
      real dovratlo(4) 
      real doref2(4)   
      real doref3(4)   
      real do11_4lo(4) 
      real doh20(4)    
      real doco2(4)    
      real dotci(2)

      common /dayocean_thresholds/ dobt11,do11_12hi,dovrathi,
     +  dovratlo,doref2,doref3,do11_4lo,doh20,doco2,dotci
