C--------------------------------------------------------------------
C  Copyright (C) 2002,  Space Science and Engineering Center, 
C  University C  of Wisconsin-Madison, Madison WI.
C      
C  This program is free software; you can redistribute it 
C  and/or modify it under the terms of the GNU General 
C  Public License as published by the Free Software Foundation; 
C  either version 2 of the License, or (at your option) any 
C  later version.
C
C  This program is distributed in the hope that it will be 
C  useful, but WITHOUT ANY WARRANTY; without even the implied 
C  warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
C  See the  GNU General Public License for more details.
C
C  You should have received a copy of the GNU General Public 
C  License along with this program; if not, write to the Free 
C  Software Foundation, Inc., 59 Temple Place, Suite 330, 
C  Boston, MA  02111-1307 USA
C--------------------------------------------------------------------
C
C
      subroutine spatial_var(diff,result)

      implicit none
      save

c---------------------------------------------------------------------
C!F77
c
c!DESCRIPTION:
c     routine for performing spatial variability tests and
c     setting the appropriate bit flag.
c
c!Input Parameters:
c diff          Array of surrounding pixel reflectance or brightness
c               temperature differences from center pixel value
c
c!Output Parameters:
c results	results of spatial variability test (1=uniform)
c
c!Revision History:
c
c!Team-unique Header:
c
c!References and Credits:
c See Cloud Mask ATBD-MOD-06.  
c 
c!END
c---------------------------------------------------------------------

      include 'global.inc'

      integer masir11
      parameter (masir11=2)
c ...
c ... scalar arguments ..
      integer result
c ...
c ... array arguments ..
      real diff(var_band,8)
c ...
c ... local scalars ..
      integer i,ipt
      INCLUDE 'spatial_var_thr.inc'
c ...
c ... Have chose to only test the 11 micron uniformity for now
      ipt = 0
c ... compare surrounding bt differences to threshold
      do 200 i = 1,8
        if (abs(diff(masir11,i)) - bad_data .gt. 0.1)  then
          if (diff(masir11,i).le.dovar11(1)) then
            ipt = ipt + 1
          end if
        endif
  200 continue

c ... if all surrounding pixel differences were less than the
c ... threshold value, scene is declared to be uniform.
      if (ipt.eq.8) then
        result = 1
      else
        result = 0
      end if

      return
      end
